HQConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.shared.HQConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.shared
Class HQConstants

    java.lang.Object
      org.hyperic.hq.common.shared.HQConstants

    public class HQConstants

extends java.lang.Object

Global constants file to be used for Config Properties, as well as any other constant used across subsystems

Field Summary
`static java.lang.String` | `AgentBundleDropDir`
`static java.lang.String` | `AgentBundleRepositoryDir`
`static java.lang.String` | `ALERT_THROTTLING_EMAILS`
`static java.lang.String` | `ALERT_THROTTLING_THRESHOLD`
`static java.lang.String` | `AlertNotificationsEnabled`
`static java.lang.String` | `AlertPurge`
`static java.lang.String` | `AlertsEnabled`
`static java.lang.String` | `ApplicationName` Application realm.
`static java.lang.String` | `BaseURL` Base URL for the application
`static java.lang.String` | `CAS_URL`
`static java.lang.String` | `DataMaintenance`
`static java.lang.String` | `DataPurge1Day`
`static java.lang.String` | `DataPurge1Hour`
`static java.lang.String` | `DataPurge6Hour`
`static java.lang.String` | `DataPurgeRaw`
`static java.lang.String` | `DataReindex`
`static java.lang.String` | `DATASOURCE`
`static java.lang.String` | `EJB_MODULE_PATTERN`
`static java.lang.String` | `EmailSender`
`static java.lang.String` | `EventLogPurge`
`static java.lang.String` | `ExternalHelp`
`static java.lang.String` | `HelpUser`
`static java.lang.String` | `HelpUserPassword`
`static java.lang.String` | `HIERARCHICAL_ALERTING_ENABLED`
`static java.lang.String` | `JAASProvider`
`static java.lang.String` | `JBOSSCACHE`
`static java.lang.String` | `JDBCJAASProvider` Valid JAAS Providers
`static java.lang.String` | `JDBCJAASProviderClass` JAAS Provider class names
`static int` | `LICENSE_EXPIRATION_WARNING_MAX_DAYS`
`static java.lang.String` | `OOBEnabled`
`static java.lang.String` | `SchemaVersion`
`static java.lang.String` | `ServerVersion`
`static java.lang.String` | `SNMPVersion`
`static java.lang.String` | `SyslogActionsEnabled`

Constructor Summary
`HQConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ServerVersion

    public static final java.lang.String ServerVersion

See Also:
  Constant Field Values

### SchemaVersion

    public static final java.lang.String SchemaVersion

See Also:
  Constant Field Values

### JAASProvider

    public static final java.lang.String JAASProvider

See Also:
  Constant Field Values

### ApplicationName

    public static final java.lang.String ApplicationName

  Application realm. Used to authenticate users

  See Also:
    Constant Field Values

### JDBCJAASProvider

    public static final java.lang.String JDBCJAASProvider

  Valid JAAS Providers

  See Also:
    Constant Field Values

### JDBCJAASProviderClass

    public static final java.lang.String JDBCJAASProviderClass

  JAAS Provider class names

  See Also:
    Constant Field Values

### BaseURL

    public static final java.lang.String BaseURL

  Base URL for the application

  See Also:
    Constant Field Values

### DataPurgeRaw

    public static final java.lang.String DataPurgeRaw

See Also:
  Constant Field Values

### DataPurge1Hour

    public static final java.lang.String DataPurge1Hour

See Also:
  Constant Field Values

### DataPurge6Hour

    public static final java.lang.String DataPurge6Hour

See Also:
  Constant Field Values

### DataPurge1Day

    public static final java.lang.String DataPurge1Day

See Also:
  Constant Field Values

### DataMaintenance

    public static final java.lang.String DataMaintenance

See Also:
  Constant Field Values

### DataReindex

    public static final java.lang.String DataReindex

See Also:
  Constant Field Values

### AlertPurge

    public static final java.lang.String AlertPurge

See Also:
  Constant Field Values

### AlertsEnabled

    public static final java.lang.String AlertsEnabled

See Also:
  Constant Field Values

### AlertNotificationsEnabled

    public static final java.lang.String AlertNotificationsEnabled

See Also:
  Constant Field Values

### HIERARCHICAL_ALERTING_ENABLED

    public static final java.lang.String HIERARCHICAL_ALERTING_ENABLED

See Also:
  Constant Field Values

### ALERT_THROTTLING_THRESHOLD

    public static final java.lang.String ALERT_THROTTLING_THRESHOLD

See Also:
  Constant Field Values

### ALERT_THROTTLING_EMAILS

    public static final java.lang.String ALERT_THROTTLING_EMAILS

See Also:
  Constant Field Values

### EmailSender

    public static final java.lang.String EmailSender

See Also:
  Constant Field Values

### HelpUser

    public static final java.lang.String HelpUser

See Also:
  Constant Field Values

### HelpUserPassword

    public static final java.lang.String HelpUserPassword

See Also:
  Constant Field Values

### SyslogActionsEnabled

    public static final java.lang.String SyslogActionsEnabled

See Also:
  Constant Field Values

### SNMPVersion

    public static final java.lang.String SNMPVersion

See Also:
  Constant Field Values

### CAS_URL

    public static final java.lang.String CAS_URL

See Also:
  Constant Field Values

### DATASOURCE

    public static final java.lang.String DATASOURCE

See Also:
  Constant Field Values

### EJB_MODULE_PATTERN

    public static final java.lang.String EJB_MODULE_PATTERN

See Also:
  Constant Field Values

### JBOSSCACHE

    public static final java.lang.String JBOSSCACHE

See Also:
  Constant Field Values

### EventLogPurge

    public static final java.lang.String EventLogPurge

See Also:
  Constant Field Values

### ExternalHelp

    public static final java.lang.String ExternalHelp

See Also:
  Constant Field Values

### OOBEnabled

    public static final java.lang.String OOBEnabled

See Also:
  Constant Field Values

### AgentBundleRepositoryDir

    public static final java.lang.String AgentBundleRepositoryDir

See Also:
  Constant Field Values

### AgentBundleDropDir

    public static final java.lang.String AgentBundleDropDir

See Also:
  Constant Field Values

### LICENSE_EXPIRATION_WARNING_MAX_DAYS

    public static final int LICENSE_EXPIRATION_WARNING_MAX_DAYS

See Also:
  Constant Field Values

Constructor Detail

### HQConstants

    public HQConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.